{% extends 'projects/base.html'%}


{%block content%}


<main>
    <div>
        <h1>{{show_project.name}}</h1>
        <p>{{show_project.description}}</p>
        <h2>Tasks</h2>
        <a href = "{%url 'create_task'%}">Create a new task</a>

        {%if show_project.tasks.all|length > 0%}

        <table>
            <thead>
                <th>Name</th>
                <th>Assignee</th>
                <th>Start date</th>
                <th>Due date</th>
                <th>Is completed</th>
            </thead>

            {%for item in show_project.tasks.all%}
            <tr>
            <td>{{item.name}}</td>
            <td>{{item.assignee}}</td>
            <td>{{item.start_date}}</td>
            <td>{{item.due_date}}</td>
            <td>{{item.is_completed|yesno}}</td>
            </tr>
            {%endfor%}
        </table>
        {%else%}
            <p>This project has no tasks.</p>

        {%endif%}








{%endblock content%}
